import { ResolveUrlConfigType, GetRequestConfigType } from './HttpClients.types';
export declare type ConfigOverrideType = ResolveUrlConfigType & {
    lazy?: boolean;
    entityType?: string;
    method?: 'get' | 'post' | 'patch' | 'delete' | 'put';
    formData?: boolean;
    device?: string;
};
export declare type GetConfigOverride = GetRequestConfigType;
export declare type PostReturnType<T, R> = [
    (c?: {
        id?: number | string;
        payload?: T;
        config?: ConfigOverrideType;
    }) => Promise<R>,
    boolean
];
export declare type GetHookReturnType<R> = {
    data: R;
    loading: boolean;
    total?: number;
    refetch: (c?: GetConfigOverride) => Promise<R>;
    meta?: {
        page: {
            'current-page': number;
            from: number;
            'per-page': number;
            to: number;
            total: number;
            'last-page': number;
        };
    };
};
export declare type UseGetOptionsType = GetConfigOverride & ResolveUrlConfigType & {
    onCompleted?: (data?: any) => void;
    defaultValue?: any;
};
